## EmpathyConf

EmpathyConf

## Synopsis

                        EmpathyConf;
    void                (*EmpathyConfNotifyFunc)            (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gpointer user_data);
    EmpathyConf*        empathy_conf_get                    (void);
    void                empathy_conf_shutdown               (void);
    guint               empathy_conf_notify_add             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             EmpathyConfNotifyFunc func,
                                                             gpointer data);
    gboolean            empathy_conf_notify_remove          (EmpathyConf *conf,
                                                             guint id);
    gboolean            empathy_conf_set_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint value);
    gboolean            empathy_conf_get_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint *value);
    gboolean            empathy_conf_set_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean value);
    gboolean            empathy_conf_get_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean *value);
    gboolean            empathy_conf_set_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             const gchar *value);
    gboolean            empathy_conf_get_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gchar **value);
    gboolean            empathy_conf_set_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList *value);
    gboolean            empathy_conf_get_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList **value);

## Object Hierarchy

      GObject
       +----EmpathyConf

## Description

## Details

### EmpathyConf

    typedef struct _EmpathyConf EmpathyConf;

### EmpathyConfNotifyFunc ()

    void                (*EmpathyConfNotifyFunc)            (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gpointer user_data);

`conf` : |
`key` : |
`user_data` : |

### empathy_conf_get ()

    EmpathyConf*        empathy_conf_get                    (void);

Returns : |

### empathy_conf_shutdown ()

    void                empathy_conf_shutdown               (void);

### empathy_conf_notify_add ()

    guint               empathy_conf_notify_add             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             EmpathyConfNotifyFunc func,
                                                             gpointer data);

`conf` : |
`key` : |
`func` : |
`data` : |
Returns : |

### empathy_conf_notify_remove ()

    gboolean            empathy_conf_notify_remove          (EmpathyConf *conf,
                                                             guint id);

`conf` : |
`id` : |
Returns : |

### empathy_conf_set_int ()

    gboolean            empathy_conf_set_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_int ()

    gboolean            empathy_conf_get_int                (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gint *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_set_bool ()

    gboolean            empathy_conf_set_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_bool ()

    gboolean            empathy_conf_get_bool               (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gboolean *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_set_string ()

    gboolean            empathy_conf_set_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             const gchar *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_string ()

    gboolean            empathy_conf_get_string             (EmpathyConf *conf,
                                                             const gchar *key,
                                                             gchar **value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_set_string_list ()

    gboolean            empathy_conf_set_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList *value);

`conf` : |
`key` : |
`value` : |
Returns : |

### empathy_conf_get_string_list ()

    gboolean            empathy_conf_get_string_list        (EmpathyConf *conf,
                                                             const gchar *key,
                                                             GSList **value);

`conf` : |
`key` : |
`value` : |
Returns : |